Method: networks.proposals.fetchMarketplaceComments

Fetches MarketplaceComments made on Proposals.

HTTP request

GET https://admanager.googleapis.com/v1/{parent}/proposals:fetchMarketplaceComments

Path parameters

Parameters
parent

string

Required. The parent resource where MarketplaceComments will be fetched from. Format: networks/{networkCode}

Query parameters

Parameters
names[]

string

Required. The resource names of the Proposals for which to fetch marketplace comments. A maximum of 50 proposal names can be specified. Format: networks/{networkCode}/proposals/{proposal_id}

pageSize

integer

Optional. The maximum number of MarketplaceComment objects to return. The service may return fewer than this value. If unspecified, at most 50 MarketplaceComments will be returned. The maximum value is 1000; values greater than 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous proposals.fetchMarketplaceComments call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to proposals.fetchMarketplaceComments must match the call that provided the page token.

skip

integer

Optional. Number of individual resources to skip while paginating.

Request body

The request body must be empty.

Response body

Response message for proposals.fetchMarketplaceComments method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "marketplaceComments": [
    {
      object (MarketplaceComment)
    }
  ],
  "nextPageToken": string
}
Fields
marketplaceComments[]

object (MarketplaceComment)

The MarketplaceComment objects.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/admanager
  • https://www.googleapis.com/auth/admanager.readonly

For more information, see the OAuth 2.0 Overview.

MarketplaceComment

Comment associated with a programmatic Proposal that has been sent to Marketplace.

JSON representation
{
  "createTime": string,
  "proposal": string,
  "comment": string,
  "commenterRole": enum (CommenterRole)
}
Fields
createTime

string (Timestamp format)

Output only. The time at which the comment was created.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

proposal

string

Output only. The resource name of the Proposal the comment belongs to. Format: networks/{networkCode}/proposals/{proposal}

comment

string

Output only. The comment made on the Proposal.

commenterRole

enum (CommenterRole)

Output only. The role of the user who created the comment.

CommenterRole

Role of the user who created the comment.

Enums
COMMENTER_ROLE_UNSPECIFIED Default value. This value is unused.
BUYER The comment was created by the buyer.
SELLER The comment was created by the seller.